## nordlicht 0.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(nordlicht C)
set(MAJOR_VERSION 0)
set(MINOR_VERSION 4)
set(PATCH_VERSION 4)
set(NORDLICHT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")

option (BUILD_SHARED_LIBS "Build shared libraries." ON)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

include(GNUInstallDirs)

if (BUILD_SHARED_LIBS)
    add_definitions(-DNORDLICHT_BUILD_SHARED)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed")
else()
    add_definitions(-DNORDLICHT_BUILD_STATIC)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
endif()

find_package(Threads REQUIRED)
find_package(FFmpeg COMPONENTS AVUTIL AVFORMAT AVCODEC SWSCALE REQUIRED)
find_package(Popt REQUIRED)

if (NOT WIN32)
    find_program(HELP2MAN help2man)
    if (NOT HELP2MAN)
        message(FATAL_ERROR "help2man not found, aborting.")
    endif()
endif()

include_directories(${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR} ${FFMPEG_INCLUDE_DIRS} ${POPT_INCLUDES})

add_library(libnordlicht error.c image.c nordlicht.c source.c)
set_target_properties(libnordlicht PROPERTIES OUTPUT_NAME nordlicht)
set_target_properties(libnordlicht PROPERTIES SOVERSION ${MAJOR_VERSION} VERSION ${NORDLICHT_VERSION})
set_target_properties(libnordlicht PROPERTIES C_VISIBILITY_PRESET hidden)
target_link_libraries(libnordlicht m ${FFMPEG_LIBRARIES})

add_executable(nordlicht main.c)
target_link_libraries(nordlicht libnordlicht ${POPT_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
if (WIN32)
    target_link_libraries(nordlicht mman)
endif()

add_executable(testsuite testsuite.c)
target_link_libraries(testsuite libnordlicht)

configure_file(version.h.in version.h @ONLY)

if (NOT WIN32)
    configure_file(cmake/nordlicht.pc.in nordlicht.pc @ONLY)
    add_custom_command(TARGET nordlicht POST_BUILD
        COMMAND help2man ${CMAKE_BINARY_DIR}/nordlicht -N -n "creates colorful barcodes from video files"
        -o ${CMAKE_BINARY_DIR}/nordlicht.1
    )
endif()

install(TARGETS libnordlicht DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(TARGETS nordlicht DESTINATION bin)
install(FILES nordlicht.h DESTINATION include)

if (NOT WIN32)
		install(FILES ${CMAKE_BINARY_DIR}/nordlicht.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
    install(FILES ${CMAKE_BINARY_DIR}/nordlicht.1 DESTINATION share/man/man1)
endif()

add_custom_target(check testsuite)
add_custom_target(download_testfile ${CMAKE_COMMAND} -P ${CMAKE_SOURCE_DIR}/cmake/download_testfile.cmake)
add_dependencies(check libnordlicht nordlicht download_testfile)

=== debian/changelog ===
nordlicht (0.4.4-2) unstable; urgency=medium

  * d/patches: Add 2 upstream patches to fix build on arm* (Closes: #813101)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Fri, 05 Feb 2016 10:57:10 +0100

nordlicht (0.4.4-1) unstable; urgency=medium

  * Initial release. (Closes: #809923)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 25 Jan 2016 22:08:23 +0100

=== debian/control ===
Source: nordlicht
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Peter Spiess-Knafl <dev@spiessknafl.at>
Section: video
Build-Depends: cmake,
               debhelper (>= 9),
               help2man,
               libavcodec-dev,
               libavformat-dev,
               libpopt-dev,
               libswscale-dev
Standards-Version: 3.9.6
Homepage: https://github.com/nordlicht/nordlicht
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/nordlicht.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/nordlicht.git/

Package: nordlicht
Architecture: any
Depends: libnordlicht0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: create colorful video barcodes
 nordlicht converts video files into colorful barcodes. It's heavily inspired
 by the "moviebarcode" tumblr. It takes the video's frames in regular
 intervals, scales them to 1px width, and appends them. The resulting barcodes
 can be integrated into video players for simplified navigation.
 .
 This package contains the `nordlicht' tool which can be used to create
 barcodes from video files.

Package: libnordlicht0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: create colorful video barcodes -- shared library
 nordlicht converts video files into colorful barcodes. It's heavily inspired
 by the "moviebarcode" tumblr. It takes the video's frames in regular
 intervals, scales them to 1px width, and appends them. The resulting barcodes
 can be integrated into video players for simplified navigation.
 .
 This package contains the library which encapsulates the video barcode
 functionality.

Package: libnordlicht-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libnordlicht0 (= ${binary:Version}), ${misc:Depends}
Description: create colorful video barcodes -- development files
 nordlicht converts video files into colorful barcodes. It's heavily inspired
 by the "moviebarcode" tumblr. It takes the video's frames in regular
 intervals, scales them to 1px width, and appends them. The resulting barcodes
 can be integrated into video players for simplified navigation.
 .
 This package contains the development files which are needed if you want to
 include nordlicht functionality into your own applications.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	# nothing

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/archive\/v(.+)\.tar\.gz/releases\/download\/v$1\/nordlicht-$1.tar.gz.asc/ \
https://github.com/nordlicht/nordlicht/releases \
.*/archive/v(.+)\.tar\.gz

## nordlicht 0.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(nordlicht C)
 set(MAJOR_VERSION 0)
 set(MINOR_VERSION 4)
-set(PATCH_VERSION 4)
+set(PATCH_VERSION 5)
 set(NORDLICHT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
 option (BUILD_SHARED_LIBS "Build shared libraries." ON)
@@ -11,6 +11,8 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
 include(GNUInstallDirs)
+
+set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")
 
 if (BUILD_SHARED_LIBS)
     add_definitions(-DNORDLICHT_BUILD_SHARED)
@@ -20,7 +22,6 @@
     set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
 endif()
 
-find_package(Threads REQUIRED)
 find_package(FFmpeg COMPONENTS AVUTIL AVFORMAT AVCODEC SWSCALE REQUIRED)
 find_package(Popt REQUIRED)
 
@@ -33,22 +34,22 @@
 
 include_directories(${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR} ${FFMPEG_INCLUDE_DIRS} ${POPT_INCLUDES})
 
-add_library(libnordlicht error.c image.c nordlicht.c source.c)
+add_library(libnordlicht src/error.c src/image.c src/nordlicht.c src/source.c)
 set_target_properties(libnordlicht PROPERTIES OUTPUT_NAME nordlicht)
 set_target_properties(libnordlicht PROPERTIES SOVERSION ${MAJOR_VERSION} VERSION ${NORDLICHT_VERSION})
 set_target_properties(libnordlicht PROPERTIES C_VISIBILITY_PRESET hidden)
 target_link_libraries(libnordlicht m ${FFMPEG_LIBRARIES})
 
-add_executable(nordlicht main.c)
-target_link_libraries(nordlicht libnordlicht ${POPT_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
+add_executable(nordlicht src/main.c)
+target_link_libraries(nordlicht libnordlicht ${POPT_LIBRARIES})
 if (WIN32)
     target_link_libraries(nordlicht mman)
 endif()
 
-add_executable(testsuite testsuite.c)
+add_executable(testsuite src/testsuite.c)
 target_link_libraries(testsuite libnordlicht)
 
-configure_file(version.h.in version.h @ONLY)
+configure_file(src/version.h.in version.h @ONLY)
 
 if (NOT WIN32)
     configure_file(cmake/nordlicht.pc.in nordlicht.pc @ONLY)
@@ -60,10 +61,10 @@
 
 install(TARGETS libnordlicht DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(TARGETS nordlicht DESTINATION bin)
-install(FILES nordlicht.h DESTINATION include)
+install(FILES ${CMAKE_SOURCE_DIR}/src/nordlicht.h DESTINATION include)
 
 if (NOT WIN32)
-		install(FILES ${CMAKE_BINARY_DIR}/nordlicht.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+    install(FILES ${CMAKE_BINARY_DIR}/nordlicht.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
     install(FILES ${CMAKE_BINARY_DIR}/nordlicht.1 DESTINATION share/man/man1)
 endif()

=== debian/changelog ===
nordlicht (0.4.5-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Sep 2019 20:06:46 +0200

nordlicht (0.4.5-1) unstable; urgency=medium

  * New upstream release
  * Removed upstream applied patches
  * d/libnordlicht0.symbols: added new symbols
  * d/control: Bumped Standards-Verstion to 3.9.8, dh to >= 10
    (no changes required)
  * d/compat: Bumpted dh to 10.
  * d/copyright: Fix path for cheat.h and updated copyright years

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 16 Jan 2017 10:32:29 +0100

nordlicht (0.4.4-3) unstable; urgency=medium

  * d/patches: Add patch for ffmpeg-3.0 (Closes: #821417)
  * d/control: Updated to Standards-Version 3.9.7 (no changes required)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 18 Apr 2016 21:35:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: nordlicht
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Peter Spiess-Knafl <dev@spiessknafl.at>
 Section: video
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 12),
                help2man,
                libavcodec-dev,
                libavformat-dev,
                libpopt-dev,
                libswscale-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.4.0
 Homepage: https://github.com/nordlicht/nordlicht
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/nordlicht.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/nordlicht.git/
+Vcs-Git: https://salsa.debian.org/multimedia-team/nordlicht.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/nordlicht
 
 Package: nordlicht
 Architecture: any

=== debian/tests/control ===
Tests: smoketest-nordlicht
Depends: libnordlicht-dev, build-essential
